import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:uco_mobile_poc/app/core/constants/translation_keys.dart';
import 'package:uco_mobile_poc/app/custom_widgets/custom_app_bar.dart';
import 'package:uco_mobile_poc/app/modules/transaction_history/shared/hository_list_widget.dart';
import 'package:uco_mobile_poc/app/res/app_dimensions.dart';
import 'package:uco_mobile_poc/app/routes/app_pages.dart';
import '../controllers/transaction_history_controller.dart';

class TransactionHistoryView extends GetView<TransactionHistoryController> {
  const TransactionHistoryView({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: DashBoardAppBar(
        title: TranslationKeys.makeTranslation(
            TranslationKeys.textTransactionHistory),
        onBackButtonPressed: () {
          Get.back();
        },
      ),

      //  AppBar(
      //   title: const Text('TransactionHistoryView'),
      //   centerTitle: true,
      // ),
      body: Padding(
        padding: EdgeInsets.symmetric(
            vertical: AppDimensions.screenVerticalPadding,
            horizontal: AppDimensions.screenHorizontalPadding),
        child: ListView.builder(
          itemCount: 1,
          itemBuilder: (context, index) {
            return HistoryListViewWidget(
              onTap: () {
                Get.toNamed(Routes.ACCOUNT_STATEMENT);
              },
              dateMonth: "Mar",
              dateOfMonth: "17",
              balance: "100",
              year: "2024",
              transactionIdNumber: "12345",
            );
          },
        ),
      ),
    );
  }
}
